Name:           libglade-java
Version:        2.12.8
Release:        %mkrel 1
Epoch:          0
Summary:        Java bindings for libglade
License:        LGPL
Group:          Development/Java
URL:            http://java-gnome.sourceforge.net/
Source0:        http://fr2.rpmfind.net/linux/gnome.org/sources/libglade-java/2.12/libglade-java-%{version}.tar.bz2
Source1:        http://fr2.rpmfind.net/linux/gnome.org/sources/libglade-java/2.12/libglade-java-%{version}.changes
Source2:        http://fr2.rpmfind.net/linux/gnome.org/sources/libglade-java/2.12/libglade-java-%{version}.md5sum
Source3:        http://fr2.rpmfind.net/linux/gnome.org/sources/libglade-java/2.12/libglade-java-%{version}.news
Source4:        java-gnome-macros.tar.bz2        
Requires:       libglade2.0
Requires:       libgnome-java
Requires:       libgtk-java
BuildRequires:  gcc-java >= 0:4.1.1
BuildRequires:  java-devel >= 0:1.4.2
BuildRequires:  jpackage-utils
BuildRequires:  libglade2.0-devel
BuildRequires:  libgnome-java >= 0:2.12.7
BuildRequires:  libgtk-java >= 0:2.10.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
libglade-java is a language binding that allows developers to write
Java applications that use libglade.  It is part of Java-GNOME.

%package        devel
Summary:        Compressed Java source files for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
Compressed Java source for %{name}. This is useful if you are developing
applications with IDEs like Eclipse.

%prep
%setup -q
%setup -q -T -D -a 4
%{__aclocal} -I macros --force
%{__autoconf} --force
%{__automake} --copy --force-missing
%{__libtoolize} --copy --force

%build
export CLASSPATH=
export JAVA=%{java}
export JAVAC=%{javac}
export JAR=%{jar}
export JAVADOC=%{javadoc}
%{configure2_5x} --with-jardir=%{_javadir}
%{make}

# pack up the java source
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/lib//")
zipfile=$PWD/$jarname$jarversion-src-%{version}.zip
pushd src/java
%{_bindir}/zip -9 -r $zipfile $(find -name \*.java)
popd

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}
%{__rm} -rf %{buildroot}/%{name}-%{version}

# install the src.zip and make a sym link
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/lib//")
%{__install} -m 644 $jarname$jarversion-src-%{version}.zip $RPM_BUILD_ROOT%{_datadir}/java/
pushd %{buildroot}%{_javadir}
%{__ln_s} $jarname$jarversion-src-%{version}.zip $jarname$jarversion-src.zip
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/api AUTHORS COPYING NEWS README
%{_libdir}/*so*
%{_libdir}/*la
%{_libdir}/pkgconfig/*
%{_javadir}/*.jar

%files devel
%defattr(-,root,root)
%{_javadir}/*.zip


%changelog
* Wed Jan 10 2007 David Walluck <walluck@mandriva.org> 2.12.8-1mdv2007.0
+ Revision: 107260
- cleanup
- 2.12.8

* Wed Dec 13 2006 David Walluck <walluck@mandriva.org> 0:2.12.7-1mdv2007.1
+ Revision: 96116
- 2.12.7

* Fri Oct 20 2006 David Walluck <walluck@mandriva.org> 0:2.12.6-3mdv2007.1
+ Revision: 71471
- bump libgnome-java requirement
- spec cleanup
- 2.12.6
- Import libglade-java



* Mon Aug 14 2006 David Walluck <walluck@mandriva.org> 0:2.12.5-3mdv2007.0
- update versioned requirements

* Tue Aug 08 2006 David Walluck <walluck@mandriva.org> 0:2.12.5-2mdv2007.0
- fix libtool

* Mon Aug 07 2006 David Walluck <walluck@mandriva.org> 0:2.12.5-1mdv2007.0
- 2.12.5

* Sun Jun 04 2006 David Walluck <walluck@mandriva.org> 0:2.12.4-1mdv2007.0
- 2.12.4

* Fri Apr 21 2006 David Walluck <walluck@mandriva.org> 0:2.12.3-1mdk
- 2.12.3

* Wed Feb 08 2006 David Walluck <walluck@mandriva.org> 0:2.12.2-1mdk
- 2.12.2

* Wed Jan 11 2006 David Walluck <walluck@mandriva.org> 0:2.12.1-1mdk
- 2.12.1

* Tue Oct 25 2005 David Walluck <walluck@mandriva.org> 0:2.12.0-1mdk
- 2.12.0

* Sat Sep 10 2005 David Walluck <walluck@mandriva.org> 0:2.10.1-1mdk
- release

* Fri May 20 2005 Ben Konrath <bkonrath@redhat.com> - 2.10.1-5
- Fix permissions of src.zip. 

* Thu May 19 2005 Ben Konrath <bkonrath@redhat.com> - 2.10.1-4
- Add compressed java source to devel package.

* Mon Apr 25 2005 Andrew Overholt <overholt@redhat.com> 2.10.1-3
- Back out patch added in 2.10.1-2 (unnecessary).

* Sat Apr 23 2005 Andrew Overholt <overholt@redhat.com> 2.10.1-2
- Add patch to fix NoSuchFieldError (Ismael Juma).

* Tue Apr 12 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.10.1-1
- Import libglade-java 2.10.1.

* Sat Apr  2 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.10.0-1
- Import libglade-java 2.10.0.

* Fri Mar  4 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.92-1
- Import libglade-java 2.9.92.

* Sat Feb 12 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91.1-1
- Import libglade-java 2.9.91.1.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-3
- Work around libtool, gcj, -D_FORTIFY_SOURCE=2, rpmbuild problem.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-2
- Only build on i386 and x86_64.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-1
- Import libglade-java 2.9.91.

* Fri Feb  4 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.90-1
- Import libglade-java 2.9.90.

* Mon Dec 13 2004 Ben Konrath <bkonrath@redhat.com> 2.8.2-2
- Add signal-connect.patch to fix upstream bug
  (http://bugzilla.gnome.org/show_bug.cgi?id=161190)

* Sat Nov 27 2004 Ben Konrath <bkonrath@redhat.com> 2.8.2-1
- Update sources

* Tue Nov  2 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.8.1-2
- Require libgnome-java and libgtk-java for build.

* Mon Nov  1 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.8.1-1
- Initial release.
